Package dev.plex.listener.impl

# Class BlockListener

java.lang.Object
dev.plex.listener.PlexListener
dev.plex.listener.impl.BlockListener

All Implemented Interfaces:
  `PlexBase`, `org.bukkit.event.Listener`

public class BlockListener extends PlexListener

## Field Summary

Fields
Modifier and Type
Field
Description
`private static final List<org.bukkit.Material>`
`blockedBlocks`
`List<String>`
`blockedPlayers`
`private static List<String>`
`cachedBlockedBlocksConfig`
`private static final List<org.bukkit.Material>`
`SIGNS`

### Fields inherited from interface dev.plex.PlexBase

`plugin`

## Constructor Summary

Constructors
Constructor
Description
`BlockListener()`

## Method Summary

Modifier and Type
Method
Description
`void`
`onBlockBreak(org.bukkit.event.block.BlockBreakEvent event)`
`void`
`onBlockPlace(org.bukkit.event.block.BlockPlaceEvent event)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### blockedBlocks

private static final List<org.bukkit.Material> blockedBlocks

### SIGNS

private static final List<org.bukkit.Material> SIGNS

### cachedBlockedBlocksConfig

private static List<String> cachedBlockedBlocksConfig

### blockedPlayers

public List<String> blockedPlayers

## Constructor Details

### BlockListener

public BlockListener()

## Method Details

### onBlockPlace

public void onBlockPlace(org.bukkit.event.block.BlockPlaceEvent event)

### onBlockBreak

public void onBlockBreak(org.bukkit.event.block.BlockBreakEvent event)